Summary:	A SIP masquerading proxy with RTP support
Name:		siproxd
Version:	0.8.3
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Servers
URL:		https://siproxd.sourceforge.net/
Source0:	https://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	siproxd.service
Source2:	%{name}-tmpfiles.conf
Patch0:		siproxd-fix-build.patch
BuildRequires:	libosip2-devel >= 3.0.3
BuildRequires:	libtool
BuildRequires:	autoconf
BuildRequires:	libltdl-devel
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd42-sgml
BuildRequires:	pkgconfig(sqlite3)

Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper

%description
Siprox is an proxy/masquerading daemon for the SIP protocol.
It handles registrations of SIP clients on a private IP network
and performs rewriting of the SIP message bodies to make SIP
connections possible via an masquerading firewall.
It allows SIP clients (like kphone, linphone) to work behind
an IP masquerading firewall or router.

#----------------------------------------------------------------

%prep
%autosetup -p1

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static --with-libosip-prefix=%{_includedir}
%make_build

%install
%make_install

find %{buildroot} -name *.la -delete

install -d %{buildroot}%{_localstatedir}/lib/%{name}
install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_rundir}

install -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}

install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf

# fix config
install -m0644 doc/siproxd.conf.example %{buildroot}%{_sysconfdir}/siproxd.conf
install -m0644 doc/siproxd_passwd.cfg %{buildroot}%{_sysconfdir}/siproxd_passwd.cfg
perl -pi -e "s|^user =.*|user = %{name}|g" %{buildroot}%{_sysconfdir}/siproxd.conf
perl -pi -e "s|^plugindir=.*|plugindir=%{_libdir}/%{name}/|g" %{buildroot}%{_sysconfdir}/siproxd.conf

%pre
%_pre_useradd %{name} %{_localstatedir}/lib/%{name} /bin/false

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc AUTHORS ChangeLog README RELNOTES TODO
%doc doc/FLI4L_HOWTO.txt doc/KNOWN_BUGS doc/RFC3261_compliance.txt doc/sample_cfg_budgetone.txt
%doc doc/sample_cfg_x-lite.txt doc/siproxd_guide.sgml
%doc doc/html/*.html
%{_unitdir}/%{name}.service
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(0640,root,root) %{_sysconfdir}/%{name}.conf.example
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/%{name}_passwd.cfg
%{_sbindir}/%{name}
%{_libdir}/%{name}/
%attr(0750,%{name},%{name}) %dir %{_localstatedir}/lib/%{name}
%{_tmpfilesdir}/%{name}.conf
%dir %ghost %attr(0750, siproxd, siproxd) %{_rundir}/%{name}
%ghost %attr(0660, -, -) %{_rundir}/%{name}/%{name}.pid


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.8.3-3.mga10
+ Revision: 2222195
- Mageia 10 Mass Rebuild

* Sat Apr 20 2024 daviddavid <daviddavid> 0.8.3-2.mga10
+ Revision: 2060079
- switch to systemd unit from initscripts

* Mon Oct 17 2022 ns80 <ns80> 0.8.3-1.mga9
+ Revision: 1897224
- new version 0.8.3

* Wed Mar 16 2022 umeabot <umeabot> 0.8.2-4.mga9
+ Revision: 1794585
- Mageia 9 Mass Rebuild

* Sun Nov 01 2020 joequant <joequant> 0.8.2-3.mga8
+ Revision: 1641171
- fix deps

* Fri Feb 14 2020 umeabot <umeabot> 0.8.2-2.mga8
+ Revision: 1521790
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jan 02 2019 daviddavid <daviddavid> 0.8.2-1.mga7
+ Revision: 1348572
- new version: 0.8.2

* Sun Sep 23 2018 umeabot <umeabot> 0.8.1-18.mga7
+ Revision: 1301047
- Mageia 7 Mass Rebuild

* Sun Jul 08 2018 wally <wally> 0.8.1-17.mga7
+ Revision: 1242610
- fix build on aarch64
- build against system libltdl
- use new make macros
+ neoclust <neoclust>
- Rebuild against new libosip2

* Sun Apr 30 2017 neoclust <neoclust> 0.8.1-16.mga6
+ Revision: 1098120
- Rebuild against new libosip2

* Fri Feb 05 2016 umeabot <umeabot> 0.8.1-15.mga6
+ Revision: 936382
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-14.mga5
+ Revision: 746712
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-13.mga5
+ Revision: 689168
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.8.1-12.mga4
+ Revision: 528863
- Mageia 4 Mass Rebuild

* Fri Jun 28 2013 fwang <fwang> 0.8.1-11.mga4
+ Revision: 447737
- try include time.h
- rebuild for new osip2

* Sun Mar 24 2013 colin <colin> 0.8.1-10.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Mon Jan 14 2013 umeabot <umeabot> 0.8.1-9.mga3
+ Revision: 382080
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 12 2013 alien <alien> 0.8.1-8.mga3
+ Revision: 361129
- Adapt for /run migration

* Wed Apr 11 2012 alien <alien> 0.8.1-7.mga2
+ Revision: 230226
- Fix LSB init header compliance

* Tue Dec 27 2011 fwang <fwang> 0.8.1-6.mga2
+ Revision: 187987
- rebuild for new osip

* Tue Nov 22 2011 fwang <fwang> 0.8.1-5.mga2
+ Revision: 170839
- drop .la files

* Wed Sep 14 2011 alien <alien> 0.8.1-4.mga2
+ Revision: 143603
- Fix ownership of directories

* Tue Sep 06 2011 alien <alien> 0.8.1-3.mga2
+ Revision: 139786
- fix plugindir
- rebuild to keep upgradeability from Mageia 1 updates
- Disable pdf documentation
- Remove deprecated macros
- Update to version 0.8.1
- imported package siproxd


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.2-2mdv2011.0
+ Revision: 614891
- the mass rebuild of 2010.1 packages

* Mon Feb 22 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.7.2-1mdv2010.1
+ Revision: 509329
- Update to 0.7.2

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.7.1-3mdv2010.0
+ Revision: 445128
- rebuild

* Thu Mar 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.1-2mdv2009.1
+ Revision: 358006
- rebuild for latest libosip

* Fri Jul 25 2008 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2009.0
+ Revision: 249717
- New version 0.7.1
- drop patch0,1, merged upstream

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Thu May 29 2008 Funda Wang <fwang@mandriva.org> 0.7.0-2mdv2009.0
+ Revision: 212864
- add debian patch to make it build

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Thu Jan 24 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7.0-1mdv2008.1
+ Revision: 157699
- Fix docs
- Undo BuildRequire "fix" that was incorrect.
- Fix build requires (libosip2-devel not libosip-devel)
- Update to 0.7.0 (for libosip2-3.x)
- Fix docs sgml
- Add correct docbook dtd for docs
- Remove obsolete no-docs patch
- Remove old prebuilt docs

  + Thierry Vignaud <tv@mandriva.org>
    - fix libosip-devel BR
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 10 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 116922
- New upstream version.


* Mon Dec 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.13-2mdv2007.0
+ Revision: 94743
- Import siproxd

* Mon Dec 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.13-2
- bunzip sources and patches

* Mon Jun 26 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.13-1mdk
- 0.5.13

* Tue Apr 18 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.12-1mdk
- 0.5.12 (Major bugfixes)

* Sat May 07 2005 Oden Eriksson <oeriksson@mandriva.com> 0.5.11-1mdk
- 0.5.11 final (Major feature enhancements)
- disable html and pdf doc generation as it won't build (P0), 
  provided from their web page for now

* Thu Mar 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.11-0.2mdk
- run it as the added uid, duh!
- use the %%mkrel macro

* Thu Mar 31 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.11-0.1mdk
- 0.5.11

* Fri Dec 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.5.9-1mdk
- 0.5.9

* Sun Aug 29 2004 Franck Villaume <fvill@freesurf.fr> 0.5.7-1mdk
- 0.5.7
- move to libosip2

